<?php
// Configuración de la conexión a la base de datos
$host = 'localhost';
$dbname = 'wagjotck_soporte'; // El nombre que usaste al crear la BD
$username = 'wagjotck_admin'; // Usuario por defecto en XAMPP
$password = 'Hermandad.2026@@';     // Contraseña por defecto en XAMPP es vacía
$charset = 'utf8mb4';

$options = [
    PDO::ATTR_ERRMODE            => PDO::ERRMODE_EXCEPTION,
    PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC,
    PDO::ATTR_EMULATE_PREPARES   => false,
];

try {
    $pdo = new PDO("mysql:host=$host;dbname=$dbname;charset=$charset", $username, $password, $options);
} catch (PDOException $e) {
    throw new PDOException($e->getMessage(), (int)$e->getCode());
}
?>